Subject: RE: Can't kill other users processes
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 08 Aug 2001 10:10:09 -0400

Hm, this seems to correlate exactly with Corinna's recommendation.
Congratulations to Corinna! ;-)

Thanks for verifying her statements Holger.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

At 08:03 AM 8/8/2001, [email-masked] wrote:
>Finally I found some time for testing.
>The problem seems to relate to the setting of the CYGWIN var.
>If you set 'ntsec' kill works as I know it from Unix/Linux.
>Without 'ntsec' kill complains: Not ownwer.
>
>Greetings,
>Holger
>
>-----Original Message-----
>From: Prentis Brooks [mailto:[email-masked]]
>Sent: Monday, August 06, 2001 1:14 PM
>To: egor duda
>Cc: [email-masked]
>Subject: Re: Can't kill other users processes
>
>
>On Mon, 6 Aug 2001, egor duda wrote:
>
> > Hi!
> >
> > Monday, 06 August, 2001 [email-masked] [email-masked] wrote:
> >
> > Hhd> Even if I am loged on as root (administrator) I can't kill other
> > Hhd> users processes.
> > Hhd> Kill always complains: Not owner!
> >
> > this is by design. if some user was able to kill other user's
> > processes it would be serious breach in security. Unices don't allow
> > this too.
>
>hrmmm. except on Unix the root user can kill anything, this is a good point.
>And, I am able to kill other user's pids, as long as I am root, haven't
>tested
>domain admin, but local root (Administrator) can nuke other pids.
>
>
>I have my CYGWIN var setup with "binmode ntsec tty"
>HRebs,
>         Can you respond with the output of a cygcheck -s?
>
>
> >
> > Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19
> >
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
>
>Prentis Brooks  | [email-masked] | 703-265-0914 | AIM: PrentisB
>System Administrator - Web Infrastructure & Security
>
>        A knight is sworn to valor.  His heart knows only virtue.  His blade
>        defends the helpless.  His word speaks only truth.  His wrath undoes
>the
>        wicked. - the old code of Bowen, last of the dragonslayers
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/